%define         gstreamer       gstreamer08
%define         majmin          0.8

%define         _gst            0.8.12

%define         po_package      gst-plugins-%{majmin}

Name:           %{gstreamer}-plugins
Version:        0.8.12
Release:        7%{?dist}
Summary:        GStreamer Streaming media framework plug-ins

Group:          Applications/Multimedia
License:        LGPL
URL:            http://gstreamer.freedesktop.org/
Source:         http://gstreamer.freedesktop.org/src/gst-plugins/gst-plugins-%{version}.tar.bz2
Source2:	patch-tarball.sh
Source3:        removed-sources.txt
Source4:        gst-fionread.m4
Patch1:         gstreamer-plugins-0.8.7-alsa.patch
Patch2:         gst-plugins-0.8.11-docbook-check.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


BuildRequires: gtk2-devel
BuildRequires: %{gstreamer}-devel >= %_gst
BuildRequires:	libtool
# translations
BuildRequires: gettext
# plug-in build dependencies
BuildRequires: arts-devel
BuildRequires: cdparanoia-devel >= alpha9.7
BuildRequires: gnome-vfs2-devel >= 2.1.3
BuildRequires: libpng-devel
BuildRequires: libmng-devel
BuildRequires: SDL-devel >= 1.2.0
BuildRequires: libtheora-devel >= 1.0alpha3-3
BuildRequires: libavc1394-devel >= 0.4.1-5
BuildRequires: speex-devel
BuildRequires: flac-devel >= 1.1.2
BuildRequires: libmusicbrainz-devel 
BuildRequires: libXdamage-devel
BuildRequires: libXv-devel
BuildRequires: libGLU-devel
BuildRequires: libGL-devel
BuildRequires:	aalib-devel
BuildRequires:	libsidplay-devel
#BuildRequires: cairo-devel
%ifnarch s390 s390x
BuildRequires: libdv-devel
%endif

Requires: %{name} >= %_gst

Requires(post): /sbin/ldconfig
Requires(post): /usr/bin/gst-register-%{majmin}
Requires(pre): /usr/bin/gconftool-2
Requires(post): /usr/bin/gconftool-2
Requires(postun): /usr/bin/gconftool-2
Requires(preun): /usr/bin/gconftool-2
Requires(postun): /sbin/ldconfig
Requires(postun): /usr/bin/gst-register-%{majmin}

# FIXME: is it necessary to Requires: these packages ? If so, why no others ?
# => Not needed, as soname deps are present and min.versions, too.
#Requires: cdparanoia-libs >= alpha9.7
#Requires: libmusicbrainz >= 2.1.1 



%description
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries

Requires:	%{name} = %{version}-%{release}
Requires:	%{gstreamer}-devel >= %_gst
Requires:	GConf2-devel
Requires:	pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n gst-plugins-%{version} 
%patch1 -p1 -b .alsa
%patch2 -p1 -b .docbook-check

mkdir gst-libs/ext/ffmpeg

%build
cp %{SOURCE4} m4/
libtoolize --force --copy
aclocal -I m4  -I common/m4
automake
autoconf

%configure --disable-vorbistest \
  --disable-ffmpeg \
  --disable-faad \
  --disable-sndfile \
  --disable-mikmod \
  --disable-spc \
  --disable-cairo \
  --disable-libvisual \
  --disable-schemas-install \
  --disable-static \
  --enable-DEBUG --disable-tests --disable-examples

make %{?_smp_mflags}

cp %{SOURCE3} .

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`/usr/bin/gconftool-2 --get-default-source`
	SCHEMAS="gstreamer-%{majmin}.schemas"
	for S in $SCHEMAS; do 
    	/usr/bin/gconftool-2 --makefile-uninstall-rule \
      	  %{_sysconfdir}/gconf/schemas/$S >/dev/null || :
	done
fi

%post
/sbin/ldconfig
env DISPLAY= %{_bindir}/gst-register-%{majmin} >/dev/null 2>&1
export GCONF_CONFIG_SOURCE=`/usr/bin/gconftool-2 --get-default-source`
SCHEMAS="gstreamer-%{majmin}.schemas"
for S in $SCHEMAS; do 
  /usr/bin/gconftool-2 --makefile-install-rule /etc/gconf/schemas/$S > /dev/null
done

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`/usr/bin/gconftool-2 --get-default-source`
	SCHEMAS="gstreamer-%{majmin}.schemas"
	for S in $SCHEMAS; do 
    	/usr/bin/gconftool-2 --makefile-uninstall-rule \
      	  %{_sysconfdir}/gconf/schemas/$S >/dev/null || :
	done
fi

%postun
/sbin/ldconfig
env DISPLAY= /usr/bin/gst-register-%{majmin} >/dev/null 2>&1 || true

%files -f %{po_package}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README removed-sources.txt
%{_sysconfdir}/gconf/schemas/gstreamer-%{majmin}.schemas
%{_bindir}/*
%{_libdir}/*so.*
%ifarch %{ix86} ia64 ppc ppc64 x86_64
%{_libdir}/gstreamer-%{majmin}/libgst1394.*
%endif
%{_libdir}/gstreamer-%{majmin}/libgstac3parse.*
%{_libdir}/gstreamer-%{majmin}/libgstadder.*
%{_libdir}/gstreamer-%{majmin}/libgstaasink.*
%{_libdir}/gstreamer-%{majmin}/libgstalpha.*
%{_libdir}/gstreamer-%{majmin}/libgstalaw.*
%{_libdir}/gstreamer-%{majmin}/libgstalsa.*
%{_libdir}/gstreamer-%{majmin}/libgstalphacolor.*
%{_libdir}/gstreamer-%{majmin}/libgstapetag.*
%{_libdir}/gstreamer-%{majmin}/libgstarts.*
%{_libdir}/gstreamer-%{majmin}/libgstaudiorate.*
%{_libdir}/gstreamer-%{majmin}/libgstartsdsink.*
%{_libdir}/gstreamer-%{majmin}/libgstasf.*
%{_libdir}/gstreamer-%{majmin}/libgstaudio.*
%{_libdir}/gstreamer-%{majmin}/libgstaudioconvert.*
%{_libdir}/gstreamer-%{majmin}/libgstaudiofile.*
%{_libdir}/gstreamer-%{majmin}/libgstaudiofilter.*
%{_libdir}/gstreamer-%{majmin}/libgstaudioscale.*
%{_libdir}/gstreamer-%{majmin}/libgstauparse.*
%{_libdir}/gstreamer-%{majmin}/libgstavi.*
%{_libdir}/gstreamer-%{majmin}/libgstcdparanoia.*
%{_libdir}/gstreamer-%{majmin}/libgstcdplayer.*
%{_libdir}/gstreamer-%{majmin}/libgstcdxaparse.*
%{_libdir}/gstreamer-%{majmin}/libgstchart.*
%{_libdir}/gstreamer-%{majmin}/libgstcolorspace.*
%{_libdir}/gstreamer-%{majmin}/libgstcutter.*
%{_libdir}/gstreamer-%{majmin}/libgstdeinterlace.*
%{_libdir}/gstreamer-%{majmin}/libgstdebug.*
%{_libdir}/gstreamer-%{majmin}/libgstdecodebin.*
%ifnarch s390 s390x
%{_libdir}/gstreamer-%{majmin}/libgstdvdec.*
%endif
%{_libdir}/gstreamer-%{majmin}/libgstefence.*
%{_libdir}/gstreamer-%{majmin}/libgsteffectv.*
%{_libdir}/gstreamer-%{majmin}/libgstesd.*
%{_libdir}/gstreamer-%{majmin}/libgstequalizer.*
%{_libdir}/gstreamer-%{majmin}/libgstfestival.*
%{_libdir}/gstreamer-%{majmin}/libgstfilter.*
%{_libdir}/gstreamer-%{majmin}/libgstflac.*
%{_libdir}/gstreamer-%{majmin}/libgstffmpegcolorspace.*
%{_libdir}/gstreamer-%{majmin}/libgstflxdec.*
%{_libdir}/gstreamer-%{majmin}/libgstgamma.*
%{_libdir}/gstreamer-%{majmin}/libgstgdkpixbuf.*
%{_libdir}/gstreamer-%{majmin}/libgstglimagesink.*
%{_libdir}/gstreamer-%{majmin}/libgstgnomevfs.*
%{_libdir}/gstreamer-%{majmin}/libgstgoom.*
%{_libdir}/gstreamer-%{majmin}/libgstidct.*
%{_libdir}/gstreamer-%{majmin}/libgstinterleave.*
%{_libdir}/gstreamer-%{majmin}/libgstjpeg.*
%{_libdir}/gstreamer-%{majmin}/libgstlevel.*
%{_libdir}/gstreamer-%{majmin}/libgstmatroska.*
%{_libdir}/gstreamer-%{majmin}/libgstmedian.*
%{_libdir}/gstreamer-%{majmin}/libgstmng.*
%{_libdir}/gstreamer-%{majmin}/libgstmodplug.*
%{_libdir}/gstreamer-%{majmin}/libgstmonoscope.*
%{_libdir}/gstreamer-%{majmin}/libgstmultifilesink.*
%{_libdir}/gstreamer-%{majmin}/libgstmulaw.*
%{_libdir}/gstreamer-%{majmin}/libgstmultipart.*
%{_libdir}/gstreamer-%{majmin}/libgstnavigationtest.*
%{_libdir}/gstreamer-%{majmin}/libgstogg.*
%{_libdir}/gstreamer-%{majmin}/libgstossaudio.*
%{_libdir}/gstreamer-%{majmin}/libgstoverlay.*
%{_libdir}/gstreamer-%{majmin}/libgstpassthrough.*
%{_libdir}/gstreamer-%{majmin}/libgstplayondemand.*
%{_libdir}/gstreamer-%{majmin}/libgstplaybin.*
%{_libdir}/gstreamer-%{majmin}/libgstpng.*
%{_libdir}/gstreamer-%{majmin}/libgstqtdemux.*
%{_libdir}/gstreamer-%{majmin}/libgstresample.*
%{_libdir}/gstreamer-%{majmin}/libgstriff.*
%{_libdir}/gstreamer-%{majmin}/libgstrmdemux.*
%{_libdir}/gstreamer-%{majmin}/libgstrtjpeg.*
%{_libdir}/gstreamer-%{majmin}/libgstrtp.*
%{_libdir}/gstreamer-%{majmin}/libgstsdlvideosink.*
%{_libdir}/gstreamer-%{majmin}/libgstsid.*
%{_libdir}/gstreamer-%{majmin}/libgstsilence.*
%{_libdir}/gstreamer-%{majmin}/libgstsinesrc.*
%{_libdir}/gstreamer-%{majmin}/libgstsmooth.*
%{_libdir}/gstreamer-%{majmin}/libgstsmoothwave.*
%{_libdir}/gstreamer-%{majmin}/libgstsmpte.*
%{_libdir}/gstreamer-%{majmin}/libgstsnapshot.*
%{_libdir}/gstreamer-%{majmin}/libgstspectrum.*
%{_libdir}/gstreamer-%{majmin}/libgstspeed.*
%{_libdir}/gstreamer-%{majmin}/libgstspeex.*
%{_libdir}/gstreamer-%{majmin}/libgststereo.*
%{_libdir}/gstreamer-%{majmin}/libgstswitch.*
%{_libdir}/gstreamer-%{majmin}/libgstsynaesthesia.*
%{_libdir}/gstreamer-%{majmin}/libgsttta.*
%{_libdir}/gstreamer-%{majmin}/libgsttagedit.*
%{_libdir}/gstreamer-%{majmin}/libgsttcp.*
%{_libdir}/gstreamer-%{majmin}/libgsttrm.*
%{_libdir}/gstreamer-%{majmin}/libgsttextoverlay.*
%{_libdir}/gstreamer-%{majmin}/libgsttheora.*
%{_libdir}/gstreamer-%{majmin}/libgsttimeoverlay.*
%{_libdir}/gstreamer-%{majmin}/libgsttypefindfunctions.*
%{_libdir}/gstreamer-%{majmin}/libgstudp.*
%{_libdir}/gstreamer-%{majmin}/libgstvbidec.*
%{_libdir}/gstreamer-%{majmin}/libgstvcdsrc.*
%{_libdir}/gstreamer-%{majmin}/libgstvideo.*
%{_libdir}/gstreamer-%{majmin}/libgstvideo4linux.*
%{_libdir}/gstreamer-%{majmin}/libgstvideo4linux2.*
%{_libdir}/gstreamer-%{majmin}/libgstvideobalance.*
%{_libdir}/gstreamer-%{majmin}/libgstvideocrop.*
%{_libdir}/gstreamer-%{majmin}/libgstvideodrop.*
%{_libdir}/gstreamer-%{majmin}/libgstvideofilter.*
%{_libdir}/gstreamer-%{majmin}/libgstvideobox.*
%{_libdir}/gstreamer-%{majmin}/libgstvideomixer.*
%{_libdir}/gstreamer-%{majmin}/libgstvideorate.*
%{_libdir}/gstreamer-%{majmin}/libgstvideoflip.*
%{_libdir}/gstreamer-%{majmin}/libgstvideoscale.*
%{_libdir}/gstreamer-%{majmin}/libgstvideotestsrc.*
%{_libdir}/gstreamer-%{majmin}/libgstvolenv.*
%{_libdir}/gstreamer-%{majmin}/libgstvolume.*
%{_libdir}/gstreamer-%{majmin}/libgstvorbis.*
%{_libdir}/gstreamer-%{majmin}/libgstwavenc.*
%{_libdir}/gstreamer-%{majmin}/libgstwavparse.*
%{_libdir}/gstreamer-%{majmin}/libgstximagesink.*
%{_libdir}/gstreamer-%{majmin}/libgstxvimagesink.*
%{_libdir}/gstreamer-%{majmin}/libgstxwindowlistener.*
%{_libdir}/gstreamer-%{majmin}/libgsty4menc.*
%{_libdir}/gstreamer-%{majmin}/libgstmixmatrix.*
%{_libdir}/gstreamer-%{majmin}/libgstautodetect.*
%{_libdir}/gstreamer-%{majmin}/libgstdvdlpcmdec.*
%{_libdir}/gstreamer-%{majmin}/libgstgconfelements.*
%{_libdir}/gstreamer-%{majmin}/libgstpuzzle.*
%{_libdir}/gstreamer-%{majmin}/libgstrfbsrc.*
%{_libdir}/gstreamer-%{majmin}/libgstsubparse.*
#%{_libdir}/gstreamer-%{majmin}/libgstcairo.*
%{_libdir}/gstreamer-%{majmin}/libgstfreeze.*
%{_libdir}/gstreamer-%{majmin}/libgstvideo4linuxradio.*
%{_libdir}/gstreamer-%{majmin}/libgstimagemixer.*
%{_mandir}/man*/*

%files devel
%defattr(-, root, root)
%{_includedir}/gstreamer-%{majmin}/gst/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*so

%changelog
* Tue Sep  5 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.8.12-7
- Rebuild for FC6.
- Simplify summary & description for devel package.
- Use disable-static & disable-schemas-install configure flags.

* Sat Jul 08 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.8.12-6
- fix files list

* Sat Jul 08 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.8.12-5
- Drop libvisual plugin (to allow libvisual update)

* Fri Jun 23 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.8.12-4
- Add BR for libtool.
- Build aalib, libvisual, and sidplay plugins (#188970).
- Add devel requires on pkgconfig.

* Sun Mar  5 2006 Brian Pepple <bdpepple@ameritech.net> - 0.8.12-2
- Add dist tag.
- Add patch-tarball.sh back.
- Strip source tarball of code w/ legal issues.
- Remove req. for cdparanoia-libs & libmusicbrainz.
- Fix references to gstreamer-devel.
- Fix GConf2 scriptlets.

* Thu Feb 16 2006 Brian Pepple <bdpepple@ameritech.net> - 0.8.12-1
- Update to 0.8.12.
- Drop source2 (patch-tarball.sh).
- Remove unnecessary BR (glib2-devel, autoconf, automake, libtool, audiofile-devel,
  esound-devel, alsa-lib-devel, libvorbis-devel, GConf2-devel, libjpeg-devel,
  libogg-devel, libraw1394-devel).
- Add full source.

* Fri Jan 06 2006 John (J5) Palmieri <johnp@redhat.com> - 0.8.11.3
- Obsolete the old gstreamer-plugins package

* Sat Dec 17 2005 Thomas Vander Stichele <thomas at apestaart dot org> - 0.8.11-2
- rebuilt using gstreamer08 as base package name for devel
- properly do Requires(post) and Requires(postun)
- decouple gstreamer and gstreamer-plugins version numbers, they are not linked
- remove hermes completely

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> - 0.8.11-1.1
- rebuilt

* Tue Sep 09 2005 John (J5) Palmieri <johnp@redhat.com> - 0.8.11-1
- Upgrade to upstream version 0.8.11
- add a patch which makes the right call in configure for checking for docbook

* Tue Aug 18 2005 John (J5) Palmieri <johnp@redhat.com> - 0.8.10-1
- Upgrade to upstream version 0.8.10
- removed backported soundjuicer patch as it is in this release

* Thu Jun 30 2005 John (J5) Palmieri <johnp@redhat.com> - 0.8.9-2
- Backport patch from cvs to fix soundjuicer 
- disable the cairo plugin as it uses the old API

* Tue Jun  7 2005 John (J5) Palmieri <johnp@redhat.com> - 0.8.9-1
- update to upstream 0.8.9
- disable spc support
- Add requirement for cairo-devel
- Add freeze, video4linuxradio, and wavpack plugins

* Mon May  9 2005 John (J5) Palmieri <johnp@redhat.com> - 0.8.8-6
- Added patch to fix segfault (Bug #156622)

* Mon Apr  4 2005 Elliot Lee <sopwith@redhat.com> - 0.8.8-5
- Remove mikmod support

* Wed Mar 30 2005 John (J5) Palmieri <johnp@redhat.com> - 0.8.8-4
- s/GConf-devel/GConf2-devel

* Tue Mar 29 2005 John (J5) Palmieri <johnp@redhat.com> - 0.8.8-3
- Added Requires: GConf-devel to the devel package

* Sun Mar 27 2005 John (J5) Palmieri <johnp@redhat.com> - 0.8.8-2
- disabled building Hermes because it is not needed and doesn't
  compile with gcc4.0.  If upstream fixes it we can reenable
  
* Wed Mar 23 2005 John (J5) Palmieri <johnp@redhat.com> - 0.8.8-1
- Update to upstream version 0.8.8
- Rebuild for libmusicbrainz 2.1.1

* Sun Feb 06 2005 Warren Togami <wtogami@redhat.com> - 0.8.7-3
- rebuild against new libraw1394

* Wed Jan 05 2005 Colin Walters <walters@redhat.com> - 0.8.7-2
- BR gtk2-devel (139151)

* Wed Jan 05 2005 Colin Walters <walters@redhat.com> - 0.8.7-1
- New upstream version
- Add new patch gstreamer-plugins-0.8.7-alsa.patch which obsoletes
  gstreamer-plugins-0.7.5-alsa.patch
- Add in speex, tta, apetag plugins

* Tue Dec 21 2004 Colin Walters <walters@redhat.com> - 0.8.6-1
- New upstream version
- Remove obsoleted gstreamer-plugins-0.8.4-vorbis-seek-workaround.patch
- BR latest libavc1394-devel
- Add libgstequalizer.so

* Wed Oct 27 2004 Colin Walters <walters@redhat.com> - 0.8.5-3
- Also remove mplex from sources

* Thu Oct 14 2004 Colin Walters <walters@redhat.com> - 0.8.5-2
- Drop BR on xmms-devel, libghttp-devel
- Add BR on libmng-devel

* Wed Oct 06 2004 Colin Walters <walters@redhat.com> - 0.8.5-1
- Update to 0.8.5
- Add mngsink
- Remove speex for now, configure check is buggy

* Fri Sep 24 2004 Colin Walters <walters@redhat.com> - 0.8.4-2
- Add gstreamer-plugins-0.8.4-vorbis-seek-workaround.patch for 133411

* Mon Aug 31 2004 Colin Walters <walters@redhat.com> - 0.8.4-1
- Update to 0.8.4
- Add gstglimagesink

* Mon Aug 07 2004 Colin Walters <walters@redhat.com> - 0.8.3-2
- Restore media-info, which was not shipped for some unknown reason (#129392)

* Mon Aug 02 2004 Colin Walters <walters@redhat.com> - 0.8.3-1
- Update to 0.8.3
- Remove alsa fixes
- Kill off lame plugin
- Add alphacolor, decodebin, multifilesink, and playbin.

* Wed Jul 28 2004 Colin Walters <walters@redhat.com> - 0.8.2-6
- Really restore ffmpegcolorspace
- Reinstate checks for exact plugins installed, i was a
  bit shortsighted in removing it
- BuildRequire libtheora-devel
- Ensure we disable faad and sndfile even if they are installed

* Tue Jul 27 2004 Colin Walters <walters@redhat.com> - 0.8.2-5
- Re-add ffmpegcolorspace, since it does not have patent issues
- Restore smp_mflags

* Fri Jul 16 2004 Colin Walters <walters@redhat.com> - 0.8.2-4
- Backported ALSA fixes from CVS HEAD

* Tue Jul 05 2004 Colin Walters <walters@redhat.com> - 0.8.2-3
- Another rebuild to placate beehive!

* Tue Jul 05 2004 Colin Walters <walters@redhat.com> - 0.8.2-2
- Rebuild to placate beehive

* Wed Jun 23 2004 Colin Walters <walters@redhat.com> - 0.8.2-1
- Update to 0.8.2, fixes numerous bugs
- Remove upstreamed memleaks patch

* Sun Jun 20 2004 Jeremy Katz <katzj@redhat.com> - 0.8.1-5
- rebuild to lose gtk+ 1.2 dependency

* Wed Jun 15 2004 Colin Walters <walters@redhat.com> 0.8.1-4
- BuildRequire libghttp-devel

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May 19 2004 Colin Walters <walters@redhat.com> 0.8.1-3
- Don't lose if gst-register isn't installed

* Fri May 07 2004 Colin Walters <walters@redhat.com> 0.8.1-2
- Apply patch to fix memleaks

* Wed Apr 15 2004 Colin Walters <walters@redhat.com> 0.8.1-1
- Update to 0.8.1

* Wed Mar 31 2004 Colin Walters <walters@redhat.com> 0.8.0-3
- Second attempt at rebuild to pick up new libdv

* Tue Mar 30 2004 Colin Walters <walters@redhat.com> 0.8.0-2
- Rebuild to pick up new libdv (hopefully).
- Use one big glob to capture all plugins.  No GStreamer
  plugin that's included directly in the tarball that I am
  aware of besides ffmpeg includes patented code directly,
  so this should be safe.

* Tue Mar 16 2004 Alex Larsson <alexl@redhat.com> 0.8.0-1
- update to 0.8.0

* Thu Mar 11 2004 Alex Larsson <alexl@redhat.com> 0.7.6-2
- correct plugin names

* Wed Mar 10 2004 Alex Larsson <alexl@redhat.com> 0.7.6-1
- update to 0.7.6

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Mar  1 2004 Alexander Larsson <alexl@redhat.com> 0.7.5-2
- Make alsa default sink/source instead of oss.

* Fri Feb 27 2004 Alexander Larsson <alexl@redhat.com> 0.7.5-1
- update to 0.7.5

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 28 2004 Alexander Larsson <alexl@redhat.com> 0.7.3-2
- Use versioned gst-register

* Wed Jan 28 2004 Alexander Larsson <alexl@redhat.com> 0.7.3-1
- update to 0.7.3

* Thu Nov 27 2003 Thomas Woerner <twoerner@redhat.com> 0.6.3-4
- added BuildRequires for libraw1394-devel

* Wed Sep 17 2003 Bill Nottingham <notting@redhat.com> 0.6.3-3
- more cleanups

* Fri Sep 12 2003 Nalin Dahyabhai <nalin@redhat.com> 0.6.3-2
- build gstcolorspace against a static bundled libHermes, which might want
  to move into its own package at some point
- explicitly list the plugins which are built in the files manifest so that
  we get errors if there are some which don't get built or get added between
  releases
- disable qcam on amd64 -- configure disables it on non-i386 arches
- limit 1394 support to amd64,ia64,ppc,ppc64,x86

* Thu Sep 11 2003 Alexander Larsson <alexl@redhat.com> 0.6.3-1
- Update to 0.6.3 (gnome 2.4 final)
- remove all mpeg plugins

* Tue Aug 19 2003 Alexander Larsson <alexl@redhat.com> 0.6.2-1
- 0.6.2

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May 21 2003 Jeremy Katz <katzj@redhat.com> 0.6.0-7
- use automake 1.6

* Mon Feb 17 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- rebuild to get sane s390x requires

* Tue Feb 11 2003 Jonathan Blandford <jrb@redhat.com> 0.6.0-4
- unset the DISPLAY when running gst-register

* Sat Feb  8 2003 Bill Nottingham <notting@redhat.com> 0.6.0-4
- move libgst*.so.X.X to main package; things require them (#80518, #83805)
- gstreamer-plugins-devel requires gstreamer-devel (#82506)

* Tue Feb  4 2003 Jonathan Blandford <jrb@redhat.com> 0.6.0-3
- remove ffmpeg for now.  It doesn't build -fPIC

* Tue Feb 04 2003 Phil Knirsch <pknirsch@redhat.com> 0.6.0-2
- Bump release and rebuild.

* Thu Jan 30 2003 Jonathan Blandford <jrb@redhat.com>
- new version.  Requires new gstreamer.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 15 2003 Matt Wilson <msw@redhat.com> 0.5.0-18
- disable qcam on all non x86 and x86_64 platforms

* Mon Dec 30 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- fix spec file to better remove libgstmedia-info
- exclude for mainframe

* Thu Dec 19 2002 Elliot Lee <sopwith@redhat.com> 0.5.0-15
- Include ia64
- Add BuildRequires: autoconf automake

* Wed Dec 18 2002 Jonathan Blandford <jrb@redhat.com>
- rebuild

* Tue Dec 17 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-12
- rebuild

* Mon Dec 16 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-10
- rebuild
- disable tests

* Mon Dec 16 2002 Tim Powers <timp@redhat.com> 0.5.0-9
- rebuild

* Wed Dec 11 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-7
- fix libdir for ia64.

* Wed Dec 11 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-3
- ExcludeArch: ia64.   Random assembler errors that I have no hope of fixing
- Add devel package

* Wed Dec 11 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-1
- 0.5.0
- apparently, festival-devel isn't needed.

* Tue Dec 10 2002 Tim Powers <timp@redhat.com> 0.4.2-3
- rebuild to fix broken dep on libgstreamer-0.4.2.so.0

* Tue Dec  3 2002 Havoc Pennington <hp@redhat.com>
- excludearch the arches that can't build gstreamer cothreads
- well it isn't really SMP-safe
- add patch for including pthread.h when required
- prereq gconftool
- fix typo that broke schema installation in post

* Mon Dec  2 2002 Havoc Pennington <hp@redhat.com>
- initial "official" import
- munge tarball for legal cleanliness

* Thu Nov  7 2002 Jeremy Katz <katzj@redhat.com>
- 0.4.2

* Mon Sep 23 2002 Jeremy Katz <katzj@redhat.com>
- 0.4.1
- install the gconf schema
- use %%configure

* Sun Sep 22 2002 Jeremy Katz <katzj@redhat.com>
- update to 0.4.0
- give explicit vorbis include path, don't run vorbis test

* Sun Aug 11 2002 Jeremy Katz <katzj@redhat.com>
- collapse into one package to preserve some sanity

* Wed Mar 13 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added more BuildRequires and Requires
- rearranged some plugins
- added changelog ;)
