#! /bin/sh

set -e

if test $# -lt 1; then
  echo "usage: $0 gst-plugins-VERSION" 1>&2
  exit 1
fi

PKG="$1"

DIRNAME=`mktemp -d deleteme-XXXXXX`

cd $DIRNAME
ORIGBALL=../$PKG.tar.bz2
DESTBALL=../$PKG.patched.tar.bz2
echo "Saving original file list"
tar -tjf $ORIGBALL | sort > origfiles.txt
echo "Extracting original tarball"
tar -xjf $ORIGBALL

MPEG_INFIXES="mpeg mpg mp3 mp2 mad"
MPEG_PATHS="ext/mad ext/mpeg2dec ext/mplex ext/mpeg2enc gst/mpeg1sys gst/mpeg1videoparse gst/mpeg2sub gst/mpegaudio gst/mpegaudioparse gst/mpegstream ext/lame gst/dvdsubdec"

for mod in $MPEG_PATHS; do 
    echo rm -rf -- "$PKG/${mod}"
    rm -rf -- "$PKG/${mod}"
    sys=$(dirname "${mod}")
    submod=$(basename "${mod}")
    perl -pi -e "s/[a-zA-Z0-9]*$submod[a-zA-Z0-9]*//g" $PKG/$sys/Makefile.in
    perl -pi -e "s/[a-zA-Z0-9]*$submod[a-zA-Z0-9]*//g" $PKG/$sys/Makefile.am

    perl -pi -e "s#^$sys/[a-zA-Z0-9]*$submod[a-zA-Z0-9]*/Makefile##g" $PKG/configure.ac
    perl -pi -e "s#	$submod #	#g" $PKG/configure.ac
done

for I in ffmpeg ; do
    rm -rf $PKG/gst-libs/ext/$I
done

echo "Creating new tarball"
tar -cjf $DESTBALL $PKG
echo "Extracting new file list"
tar -tjf $DESTBALL | sort > newfiles.txt

diff -u origfiles.txt newfiles.txt > ../removed-sources.txt || true

cd ..
rm -rf $DIRNAME

echo "$PKG.patched.tar.bz2 created, removed files in removed-sources.txt"

exit 0

